Subject: Re: [bug#68191]

From: Troy Figiel <[email-masked]>
Date: Sun, 07 Jan 2024 11:33:08 +0100

Sharlatan Hellseher <[email-masked]> writes:

> Hi,
>
> It looks good to me, passed all phases from comiit:
>
> guix describe
> Generation 498  Jan 04 2024 10:55:58    (current)
>   guix 7b0863f
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 7b0863f07a113caef26fea13909bd97d250b629e
>
> guix build --quiet --rounds=2 -L . python-portend
> /gnu/store/gl6n6pbk5y1hxv6s8xrj02j0lw41a4ll-python-portend-3.2.0
>
> guix lint -L . python-portend
> etching CVE database for 2024...e]...
> fetching CVE database for 2023...
> fetching CVE database for 2022...
> ./ffab/packages/python-xyz.scm:557:5: [email-masked]: source not
> archived on Software Heritage and missing from the Disarchive database
>
> It would be nice to start packing python-ruff as it's required for
> python-huggingface-hub
>  which I try to bring to Guix.
>
> Thanks,
> Oleg

Hi Oleg,

I have been looking at python-ruff for a bit now. Since it is a Python
package with Rust bindings, it will require a bit more experience
packaging Rust from my side. Plus, we will likely have to add a fair
number of Rust crates first, due to the sheer amount of dependencies.

I was planning to start packaging some of these Rust dependencies, since
we would need these anyway for a recent version of Ruff and the Rust
ecosystem might benefit along the way.

Best wishes,

Troy